Index: mythcontrols/mythcontrols.cpp
===================================================================
--- mythcontrols/mythcontrols.cpp	(revision 11460)
+++ mythcontrols/mythcontrols.cpp	(working copy)
@@ -422,349 +466,390 @@
 }
 
 
-void MythControls::leftSelected(UIListBtnTypeItem*)
+void MythControls::LeftSelected(UIListBtnTypeItem*)
 {
-    LeftList->refresh();
-    RightList->blockSignals(true);
-    refreshRightList();
-    RightList->blockSignals(false);
-    RightList->refresh();
+    m_LeftList->refresh();
+    m_RightList->blockSignals(true);
+    RefreshRightList();
+    m_RightList->blockSignals(false);
+    m_RightList->refresh();
 }
 
-void MythControls::rightSelected(UIListBtnTypeItem*)
+void MythControls::RightSelected(UIListBtnTypeItem*)
 {
-    RightList->refresh();
-    refreshKeyInformation();
+    m_RightList->refresh();
+    RefreshKeyInformation();
 }
 
 
 
 /* method description in header */
-void MythControls::refreshRightList()
+void MythControls::RefreshRightList()
 {
-    RightList->Reset();
+    m_RightList->Reset();
 
-    if (LeftList->GetItemCurrent() == NULL)
+    if (m_LeftList->GetItemCurrent() == NULL)
         return;
 
-    if (leftType == kContextList)
+    if (m_LeftType == kContextList)
     {
-        if (rightType == kActionList)
+        if (m_RightType == kActionList)
         {
             /* add all of the actions to the context list */
-            QString context = LeftList->GetItemCurrent()->text();
-            QStringList *actions = m_contexts[context];
+            QString context = m_LeftList->GetItemCurrent()->text();
+            QStringList *actions = m_Contexts[context];
             if (actions == NULL)
             {
-                VERBOSE(VB_IMPORTANT, QString("MythControls: Unable to find actions for context %1").arg(context));
+                VERBOSE(VB_IMPORTANT,
+                        QString("MythControls: Unable to find actions for "
+                                "context %1").arg(context));
                 return;
             }
             UIListBtnTypeItem *item;
+
             for (size_t i = 0; i < actions->size(); i++)
-                item = new UIListBtnTypeItem(RightList, (*actions)[i]);
+                item = new UIListBtnTypeItem(m_RightList, (*actions)[i]);
         }
-        else if (rightType == kKeyList)
+        else if (m_RightType == kKeyList)
         {
             /* add all of the actions to the context list */
-            QString context = LeftList->GetItemCurrent()->text();
-            BindingList *list = contextKeys[context];
+            QString context = m_LeftList->GetItemCurrent()->text();
+            BindingList *list = m_ContextKeys[context];
             if (list == NULL)
             {
-                VERBOSE(VB_IMPORTANT, QString("MythControls: Unable to find keys for context %1").arg(context));
+                VERBOSE(VB_IMPORTANT, QString("MythControls: Unable to find keys"
+                                              " for context %1").arg(context));
                 return;
             }
             UIListBtnTypeItem *item;
-            for (BindingList::iterator it = list->begin(); it != list->end(); ++it)
+            for (BindingList::iterator it = list->begin(); it != list->end();
+                 ++it)
             {
                 binding_t *b = *it;
-                item = new UIListBtnTypeItem(RightList, KeyToDisplay(b->key) + " => " + b->action);
+                item = new UIListBtnTypeItem(m_RightList, KeyToDisplay(b->key) +
+                                             " => " + b->action);
             }
         }
-    } else if (leftType == kKeyList && rightType == kContextList)
+    }
+    else if (m_LeftType == kKeyList && m_RightType == kContextList)
     {
-        QString key = DisplayToKey(LeftList->GetItemCurrent()->text());
-        BindingList *list = keyActions[key];
+        QString key = DisplayToKey(m_LeftList->GetItemCurrent()->text());
+        BindingList *list = m_KeyActions[key];
         if (list == NULL)
         {
-            VERBOSE(VB_IMPORTANT, QString("MythControls: Unable to find actions for key %1").arg(key));
+            VERBOSE(VB_IMPORTANT, QString("MythControls: Unable to find actions "
+                                          "for key %1").arg(key));
             return;
         }
         UIListBtnTypeItem *item;
         BindingList::iterator it = list->begin();
         binding_t *b = *it;
-        for (size_t i = 0; i < contexts.size(); i++)
+        for (size_t i = 0; i < m_SortedContexts.size(); i++)
         {
-            QString context = contexts[i];
+            QString context = m_SortedContexts[i];
             QString action = "<none>";
             if (b && b->context == context)
             {
                 action = b->action;
                 ++it;
-                if (it != list->end()) b = *it;
-                else b = NULL;
+                b = (it != list->end()) ? *it : NULL;
             }
-            item = new UIListBtnTypeItem(RightList, context + " => " + action);
+            item = new UIListBtnTypeItem(m_RightList, context + " => " + action);
         }
     }
 }
 
 
 /* comments in header */
-void MythControls::refreshKeyInformation()
+void MythControls::RefreshKeyInformation()
 {
     /* get the description of the current action */
     QString desc;
 
-    if (focused == LeftList)
+    if (m_Focused == m_LeftList)
     {
         /* blank all keys on the context */
         for (size_t i = 0; i < Action::MAX_KEYS; i++)
-            ActionButtons[i]->setText("");
+            m_ActionButtons[i]->setText("");
     }
-    else if (leftType == kKeyList || rightType == kKeyList)
+    else if (m_LeftType == kKeyList || m_RightType == kKeyList)
     { // Should show appropriate description 
-        QString action = getCurrentAction();
-        QString context = getCurrentContext();
+        QString action = GetCurrentAction();
+        QString context = GetCurrentContext();
         /* blank all keys on the context */
         for (size_t i = 0; i < Action::MAX_KEYS; i++)
-            ActionButtons[i]->setText("");
+            m_ActionButtons[i]->setText("");
         if (!action.isEmpty())
-            {
+        {
     
-            desc = key_bindings->getActionDescription(context, action);
+            desc = m_KeyBindings->GetActionDescription(context, action);
     
             BindingList *list = NULL;
-            if (leftType == kKeyList && rightType == kContextList)
+            if (m_LeftType == kKeyList && m_RightType == kContextList)
             {
-                QString key = getCurrentKey();
-                list = keyActions[DisplayToKey(key)];
+                QString key = GetCurrentKey();
+                list = m_KeyActions[DisplayToKey(key)];
             }
-            else if (leftType == kContextList && rightType == kKeyList)
-                list = contextKeys[context];
+            else if (m_LeftType == kContextList && m_RightType == kKeyList)
+                list = m_ContextKeys[context];
             if (list)
             {
                 QString searchKey;
-                if (rightType == kContextList)
+                if (m_RightType == kContextList)
                     searchKey = context;
-                else if (rightType == kActionList)
+                else if (m_RightType == kActionList)
                     searchKey = action;
-                else if (rightType == kKeyList)
-                    searchKey = DisplayToKey(getCurrentKey());
+                else if (m_RightType == kKeyList)
+                    searchKey = DisplayToKey(GetCurrentKey());
                 binding_t *binding = NULL;
-                for (BindingList::iterator it = list->begin(); it != list->end(); ++it)
+                for (BindingList::iterator it = list->begin();
+                     it != list->end(); ++it)
                 {
                     binding_t *b = *it;
-                    switch (rightType)
+                    switch (m_RightType)
                     {
                         case kContextList:
-                            if (b->context == searchKey) binding = b;
+                            if (b->context == searchKey)
+                                binding = b;
                             break;
                         case kActionList:
-                            if (b->action == searchKey) binding = b;
+                            if (b->action == searchKey)
+                                binding = b;
                             break;
                         case kKeyList:
-                            if (b->key == searchKey) binding = b;
+                            if (b->key == searchKey)
+                                binding = b;
                             break;
                     }
-                    if (binding) break;
+                    if (binding)
+                        break;
                 }
     
                 if (binding)
                 {
                     if (desc.isEmpty() && context != binding->contextFrom)
-                        desc = key_bindings->getActionDescription(binding->contextFrom, action);
+                        desc = m_KeyBindings->GetActionDescription(
+                            binding->contextFrom, action);
+
                     desc += "\n" + tr("Binding comes from %1 context")
-                            .arg(binding->contextFrom);
+                        .arg(binding->contextFrom);
                 }
             }
         }
-    } else {
-        QString context = getCurrentContext();
-        QString action = getCurrentAction();
+    }
+    else
+    {
+        QString context = GetCurrentContext();
+        QString action = GetCurrentAction();
         /* set the description */
-        desc = key_bindings->getActionDescription(getCurrentContext(),
-                                                  getCurrentAction());
+        desc = m_KeyBindings->GetActionDescription(GetCurrentContext(),
+                                                   GetCurrentAction());
 
         /* get the bindings of the current action */
-        QStringList keys = key_bindings->getActionKeys(getCurrentContext(),
-                                                       getCurrentAction());
+        QStringList keys = m_KeyBindings->GetActionKeys(GetCurrentContext(),
+                                                        GetCurrentAction());
 
         size_t i;
 
         /* fill existing keys */
         for (i = 0; i < keys.count(); i++)
-            ActionButtons[i]->setText(KeyToDisplay(keys[i]));
+            m_ActionButtons[i]->setText(KeyToDisplay(keys[i]));
 
         /* blank the other ones */
         for (; i < Action::MAX_KEYS; i++)
-            ActionButtons[i]->setText("");
+            m_ActionButtons[i]->setText("");
     }
 
     /* set the information */
-    description->SetText(desc);
+    m_Description->SetText(desc);
 }
 
 
 
 /* comments in header */
-QString MythControls::getCurrentContext(void) const
+QString MythControls::GetCurrentContext(void) const
 {
-    if (leftType == kContextList)
-        return LeftList->GetItemCurrent()->text();
-    if (focused == LeftList) return "";
+    if (m_LeftType == kContextList)
+        return m_LeftList->GetItemCurrent()->text();
+    if (m_Focused == m_LeftList)
+        return "";
 
-    QString desc = RightList->GetItemCurrent()->text();
+    QString desc = m_RightList->GetItemCurrent()->text();
     int loc = desc.find(" => ");
-    if (loc == -1) return ""; // Should not happen
-    if (rightType == kContextList) return desc.left(loc);
-    else return desc.mid(loc+4);
+    if (loc == -1)
+        return ""; // Should not happen
+
+    if (m_RightType == kContextList)
+        return desc.left(loc);
+    else
+        return desc.mid(loc+4);
 }
 
 /* comments in header */
-QString MythControls::getCurrentAction(void) const
+QString MythControls::GetCurrentAction(void) const
 {
-    if (leftType == kActionList)
-        return LeftList->GetItemCurrent()->text();
-    if (focused == LeftList) return "";
+    if (m_LeftType == kActionList)
+        return m_LeftList->GetItemCurrent()->text();
+    if (m_Focused == m_LeftList)
+        return "";
 
-    QString desc = RightList->GetItemCurrent()->text();
-    if (leftType == kContextList && rightType == kActionList)
+    QString desc = m_RightList->GetItemCurrent()->text();
+    if (m_LeftType == kContextList && m_RightType == kActionList)
         return desc;
     int loc = desc.find(" => ");
-    if (loc == -1) return ""; // Should not happen
-    if (rightType == kActionList) return desc.left(loc);
+    if (loc == -1)
+        return ""; // Should not happen
+    if (m_RightType == kActionList)
+        return desc.left(loc);
     else
     {
         QString rv = desc.mid(loc+4);
-        if (rv == "<none>") return "";
-        else return rv;
+        if (rv == "<none>")
+            return "";
+        else
+            return rv;
     }
 }
 
 /* comments in header */
-QString MythControls::getCurrentKey(void) const
+QString MythControls::GetCurrentKey(void) const
 {
-    if (leftType == kKeyList)
-        return LeftList->GetItemCurrent()->text();
-    if (focused == LeftList) return "";
+    if (m_LeftType == kKeyList)
+        return m_LeftList->GetItemCurrent()->text();
+    if (m_Focused == m_LeftList)
+        return "";
 
-    if (leftType == kContextList && rightType == kActionList)
+    if (m_LeftType == kContextList && m_RightType == kActionList)
     {
-        QString context = getCurrentContext();
-        QString action = getCurrentAction();
-        size_t b = focusedButton();
-        QStringList keys = key_bindings->getActionKeys(context, action);
-        if (b < keys.count()) return keys[b];
-        else return "";
+        QString context = GetCurrentContext();
+        QString action = GetCurrentAction();
+        size_t b = FocusedButton();
+        QStringList keys = m_KeyBindings->GetActionKeys(context, action);
+
+        if (b < keys.count())
+            return keys[b];
+        else
+            return "";
     }
 
-    QString desc = RightList->GetItemCurrent()->text();
+    QString desc = m_RightList->GetItemCurrent()->text();
     int loc = desc.find(" => ");
-    if (loc == -1) return ""; // Should not happen
-    if (rightType == kKeyList) return desc.left(loc);
-    else return desc.mid(loc+4);
+    if (loc == -1)
+        return ""; // Should not happen
+    if (m_RightType == kKeyList)
+        return desc.left(loc);
+    else
+        return desc.mid(loc+4);
 }
 
 
 /* comments in header */
-void MythControls::loadHost(const QString & hostname) {
-
+void MythControls::LoadHost(const QString & hostname)
+{
     /* create the key bindings and the tree */
-    key_bindings = new KeyBindings(hostname);
-    contexts = *key_bindings->getContexts();
+    m_KeyBindings = new KeyBindings(hostname);
+    m_SortedContexts = *m_KeyBindings->GetContexts();
 
     keys.clear();
 
     /* Alphabetic order, but jump and global at the top  */
-    contexts.sort();
-    contexts.remove(JUMP_CONTEXT);
-    contexts.remove(GLOBAL_CONTEXT);
-    contexts.insert(contexts.begin(), 1, GLOBAL_CONTEXT);
-    contexts.insert(contexts.begin(), 1, JUMP_CONTEXT);
+    m_SortedContexts.sort();
+    m_SortedContexts.remove(JUMP_CONTEXT);
+    m_SortedContexts.remove(GLOBAL_CONTEXT);
+    m_SortedContexts.insert(m_SortedContexts.begin(), 1, GLOBAL_CONTEXT);
+    m_SortedContexts.insert(m_SortedContexts.begin(), 1, JUMP_CONTEXT);
 
     QStringList *actions;
-    for (size_t i = 0; i < contexts.size(); i++)
+    for (size_t i = 0; i < m_SortedContexts.size(); i++)
     {
-        actions = key_bindings->getActions(contexts[i]);
+        actions = m_KeyBindings->GetActions(m_SortedContexts[i]);
         actions->sort();
-        m_contexts.insert(contexts[i], actions);
+        m_Contexts.insert(m_SortedContexts[i], actions);
     }
 
-    refreshKeyBindings();
-    updateLists();
+    RefreshKeyBindings();
+    UpdateLists();
 }
 
 
 
 /* comments in header */
-void MythControls::deleteKey()
+void MythControls::DeleteKey()
 {
     // This code needs work to support deleteKey in any mode exc. Context/Action
-    QString context = getCurrentContext();
-    QString key = getCurrentKey();
-    QString action = getCurrentAction();
+    QString context = GetCurrentContext();
+    QString key = GetCurrentKey();
+    QString action = GetCurrentAction();
     if (context.isEmpty() || key.isEmpty() || action.isEmpty())
     {
         InvalidBindingPopup popup(gContext->GetMainWindow());
-        popup.getOption();
+        popup.GetOption();
         return;
     }
 
-    BindingList *list = keyActions[key];
+    BindingList *list = m_KeyActions[key];
     binding_t *binding = NULL;
+
     for (BindingList::iterator it = list->begin(); it != list->end(); ++it)
     {
         binding_t *b = *it;
-        if (b->context == context) binding = b;
+        if (b->context == context)
+            binding = b;
     }
+
     if (!binding)
     {
         InvalidBindingPopup popup(gContext->GetMainWindow());
-        popup.getOption();
+        popup.GetOption();
         return;
     }
 
     if (binding->contextFrom != context)
     {
-        ConfirmMenu popup(gContext->GetMainWindow(), tr("Delete this key binding from context %1?").arg(binding->contextFrom));
-        if (popup.getOption() != ConfirmMenu::CONFIRM) return;
-    } else {
+        ConfirmMenu popup(gContext->GetMainWindow(),
+                          tr("Delete this key binding from context %1?")
+                          .arg(binding->contextFrom));
+        if (popup.GetOption() != ConfirmMenu::CONFIRM)
+            return;
+    }
+    else
+    {
         ConfirmMenu popup(gContext->GetMainWindow(), tr("Delete this binding?"));
-        if (popup.getOption() != ConfirmMenu::CONFIRM) return;
+        if (popup.GetOption() != ConfirmMenu::CONFIRM)
+            return;
     }
 
-    if (!key_bindings->removeActionKey(binding->contextFrom, action, key))
+    if (!m_KeyBindings->RemoveActionKey(binding->contextFrom, action, key))
     {
         InvalidBindingPopup popup(gContext->GetMainWindow());
-        popup.getOption();
+        popup.GetOption();
         return;
     }
 
     // refreshing everything is overkill.  I tried incrementally updating, but the
     // code was ugly.  Since this is quick in my experience, overkill away!
-    refreshKeyBindings();
-    refreshKeyInformation();
+    RefreshKeyBindings();
+    RefreshKeyInformation();
 }
 
 /* method description in header */
-bool MythControls::resolveConflict(ActionID *conflict, int level)
+bool MythControls::ResolveConflict(ActionID *conflict, int level)
 {
     MythMainWindow *window = gContext->GetMainWindow();
 
     /* prevent a fatal binding */
     if (level == KeyBindings::Error)
     {
-        InvalidBindingPopup popup(gContext->GetMainWindow(),
-                                  conflict->action(),
-                                  conflict->context());
-        popup.getOption();
+        InvalidBindingPopup popup(gContext->GetMainWindow(), conflict->Action(),
+                                  conflict->Context());
+        popup.GetOption();
         return false;
     }
     else
     {
         /* warn the user that this could conflict */
         QString message = "This kebinding may conflict with ";
-        message += conflict->action() + " in the " + conflict->context();
+        message += conflict->Action() + " in the " + conflict->Context();
         message += " context.  Do you want to bind it anyways?";
 
         if (MythPopupBox::show2ButtonPopup(window, "Conflict Warning",
@@ -778,61 +863,64 @@
 
 
 /* method description in header */
-void MythControls::addKeyToAction(void)
+void MythControls::AddKeyToAction(void)
 {
     // This code needs work to support deleteKey in any mode exc. Context/Action
     /* grab a key from the user */
     KeyGrabPopupBox *kg = new KeyGrabPopupBox(gContext->GetMainWindow());
-    int result = kg->ExecPopup(kg,SLOT(cancel()));
-    QString key = kg->getCapturedKey();
+    int result = kg->ExecPopup(kg,SLOT(Cancel()));
+    QString key = kg->GetCapturedKey();
     delete kg;
 
     /* go no further if canceled */
-    if (result == 0) return;
+    if (result == 0)
+        return;
 
     /* get the keys for the selected action */
-    size_t b = focusedButton();
-    QString action = getCurrentAction(), context = getCurrentContext();
-    QStringList keys = key_bindings->getActionKeys(context, action);
+    size_t b = FocusedButton();
+    QString action = GetCurrentAction(), context = GetCurrentContext();
+    QStringList keys = m_KeyBindings->GetActionKeys(context, action);
 
     /* dont bother rebinding the same key */
-    if (keys[b] == key) return;
+    if (keys[b] == key)
+        return;
 
     bool bind = true;
     int level;
 
     /* get the potential conflict */
     ActionID *conflict = NULL;
-    if ((conflict = key_bindings->conflicts(context, key, level)))
-        bind = resolveConflict(conflict, level);
+    if ((conflict = m_KeyBindings->Conflicts(context, key, level)))
+        bind = ResolveConflict(conflict, level);
 
     delete conflict;
 
     /* dont bind if we shouldn't bind */
-    if (!bind) return;
+    if (!bind)
+        return;
 
     /* finally bind or rebind a key to the action */
     if (b < keys.count())
-        key_bindings->replaceActionKey(context,action, key, keys[b]);
+        m_KeyBindings->ReplaceActionKey(context,action, key, keys[b]);
     else
-        key_bindings->addActionKey(context, action, key);
+        m_KeyBindings->AddActionKey(context, action, key);
 
-    refreshKeyBindings();
-    refreshKeyInformation();
+    RefreshKeyBindings();
+    RefreshKeyInformation();
 }
 
 
 
-void MythControls::addBindings(QDict<binding_t> &bindings,
+void MythControls::AddBindings(QDict<binding_t> &bindings,
                                const QString &context,
                                const QString &contextParent, int bindlevel)
 {
-    QStringList *actions = key_bindings->getActions(context);
+    QStringList *actions = m_KeyBindings->GetActions(context);
 
     for (size_t i = 0; i < actions->size(); i++)
     {
         QString action = (*actions)[i];
-        QStringList keys = key_bindings->getActionKeys(context, action);
+        QStringList keys = m_KeyBindings->GetActionKeys(context, action);
 
         for (size_t j = 0; j < keys.size(); j++)
         {
@@ -857,14 +945,14 @@
     }
 }
 
-BindingList *MythControls::getKeyBindings(const QString &context)
+BindingList *MythControls::GetKeyBindings(const QString &context)
 {
     QStringList keys;
     QDict<binding_t> bindings;
     bindings.clear();
 
-    for (size_t i = 0; i < contexts.size(); i++)
-        addBindings(bindings, contexts[i], context, i);
+    for (size_t i = 0; i < m_SortedContexts.size(); i++)
+        AddBindings(bindings, m_SortedContexts[i], context, i);
 
 
     for (QDictIterator<binding_t> it(bindings); it.current(); ++it)
@@ -873,7 +961,7 @@
         keys.append(key);
     }
 
-    sortKeyList(keys);
+    SortKeyList(keys);
 
     BindingList *retval = new BindingList;
     retval->clear();
@@ -887,49 +975,45 @@
     return retval;
 }
 
-void MythControls::refreshKeyBindings()
+void MythControls::RefreshKeyBindings()
 {
-    contextKeys.clear();
-    keyActions.clear();
-    for (size_t i = 0; i < contexts.size(); i++)
+    m_ContextKeys.clear();
+    m_KeyActions.clear();
+    for (size_t i = 0; i < m_SortedContexts.size(); i++)
     {
-        QString context = contexts[i];
-        BindingList *list = getKeyBindings(context);
-        contextKeys.insert(context, list);
+        QString context = m_SortedContexts[i];
+        BindingList *list = GetKeyBindings(context);
+        m_ContextKeys.insert(context, list);
         for (BindingList::iterator it = list->begin(); it != list->end(); ++it)
         {
             binding_t *b = *it;
-            BindingList *list = keyActions.find(b->key);
+            BindingList *list = m_KeyActions.find(b->key);
             if (!list)
             {
                 list = new BindingList;
                 list->clear();
-                keyActions.insert(b->key, list);
+                m_KeyActions.insert(b->key, list);
             }
             keys.append(b->key);
             list->append(b);
         }
     }
-    contextKeys.setAutoDelete(true);
-    keyActions.setAutoDelete(true);
+    m_ContextKeys.setAutoDelete(true);
+    m_KeyActions.setAutoDelete(true);
 
-    sortKeyList(keys);
+    SortKeyList(keys);
 }
 
-void MythControls::sortKeyList(QStringList &keys)
+void MythControls::SortKeyList(QStringList &keys)
 {
     QStringList t;
     t.clear();
 
     for ( QStringList::Iterator it = keys.begin(); it != keys.end(); ++it )
     {
-        QString key = *it;
-
-        QString keydesc = "3 ";
+        QString key = *it, keydesc = "3 ";
         if (key.left(6) == "remote")
-        {
             keydesc = "0 ";
-        }
         else if (key.length() == 1)
         {
             switch (key[0].category())
@@ -966,7 +1050,7 @@
     }
 }
 
-QString MythControls::getTypeDesc(ListType type)
+QString MythControls::GetTypeDesc(ListType type)
 {
     switch (type)
     {
@@ -984,39 +1068,40 @@
     }
 }
 
-void MythControls::updateLists()
+void MythControls::UpdateLists()
 {
-    RightList->blockSignals(true);
-    LeftList->blockSignals(true);
-    LeftList->Reset();
-    if (leftType == kContextList)
+    m_RightList->blockSignals(true);
+    m_LeftList->blockSignals(true);
+    m_LeftList->Reset();
+    if (m_LeftType == kContextList)
     {
         UIListBtnTypeItem *item;
-        for (size_t i = 0; i < contexts.size(); i++)
+        for (size_t i = 0; i < m_SortedContexts.size(); i++)
         {
-            item = new UIListBtnTypeItem(LeftList, contexts[i]);
+            item = new UIListBtnTypeItem(m_LeftList, m_SortedContexts[i]);
             item->setDrawArrow(true);
         }
-    } else if (leftType == kKeyList)
+    }
+    else if (m_LeftType == kKeyList)
     {
         UIListBtnTypeItem *item;
         for (size_t i = 0; i < keys.size(); i++)
         {
             QString key = KeyToDisplay(keys[i]);
-            item = new UIListBtnTypeItem(LeftList, key);
+            item = new UIListBtnTypeItem(m_LeftList, key);
             item->setDrawArrow(true);
         }
     }
-    refreshRightList();
-    RightList->blockSignals(false);
-    LeftList->blockSignals(false);
-    LeftList->refresh();
-    RightList->refresh();
+    RefreshRightList();
+    m_RightList->blockSignals(false);
+    m_LeftList->blockSignals(false);
+    m_LeftList->refresh();
+    m_RightList->refresh();
 
-    if (LeftDesc != NULL)
-        LeftDesc->SetText(getTypeDesc(leftType));
-    if (RightDesc != NULL)
-        RightDesc->SetText(getTypeDesc(rightType));
+    if (m_LeftDesc != NULL)
+        m_LeftDesc->SetText(GetTypeDesc(m_LeftType));
+    if (m_RightDesc != NULL)
+        m_RightDesc->SetText(GetTypeDesc(m_RightType));
 }
 
 
